Page MenuHomePhabricator

beta: set $wgCategoryCollation for languages
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/c/49776/ implemented language specific collations for several languages. We would want to have them enabled on the beta cluster which probably cover all the languages implemented in that patch.

To do so we need to set $wgCategoryCollation and rebuild category sort keys for all the wikis.


Version: unspecified
Severity: enhancement

Details

Reference
bz45525

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:33 AM
bzimport set Reference to bz45525.
bzimport added a subscriber: Unknown Object (MLST).
hashar created this task.Feb 27 2013, 11:50 PM

How is this related to Continuous integration? That change is abandoned, what is the issue here?

Moving to beta

Created attachment 13166
$wgCategoryCollation settings on beta

On beta, the $wgCategoryCollation is set to uppercase on all wikis. One can check using:

foreachwiki getConfiguration.php --regex wgCategoryCollation

(see attached output)

Attached:

Reedy added a comment.Jan 8 2014, 12:11 AM

If you update wgCategoryCollation then you just need to run:

foreachwikiindblist all-labs.dblist updateCollation.php --previous-collation=uppercase

faidon removed a subscriber: faidon.Dec 3 2014, 1:12 PM
Reedy added a subscriber: Reedy.Sep 17 2015, 11:55 AM

This should be easy to do... Do we want to just do it for all languages that have it set in production, then close this? Any newly created wikis, or when production wikis are migrated, we update their collation?

Not every wiki in production has it set, due to lack of upstream support in the icu libraries...

Production has:

'wgCategoryCollation' => array(
	'default' => 'uppercase',
	// Multilingual wikis
	'mediawikiwiki' => 'uca-default',
	// Single-language wikis
	'be_x_oldwiki' => 'uca-be-tarask', // T48005
	'bewiki' => 'uca-be', // T48004
	'bewikisource' => 'uca-be', // T48004
	'ckbwiki' => 'xx-uca-ckb', // T57630
	'cswiki' => 'uca-cs', // T66885
	'cswiktionary' => 'uca-default', // T106337
	'cywiki' => 'uca-cy', // T61800
	'cywikibooks' => 'uca-cy', // T61800
	'cywikiquote' => 'uca-cy', // T61800
	'cywikisource' => 'uca-cy', // T61800
	'cywiktionary' => 'uca-cy', // T61800
	'etwiki' => 'xx-uca-et', // T56168
	'etwikibooks' => 'xx-uca-et', // T56168
	'etwikimedia' => 'xx-uca-et', // T56168
	'etwikiquote' => 'xx-uca-et', // T56168
	'etwikisource' => 'xx-uca-et', // T56168
	'etwiktionary' => 'xx-uca-et', // T56168
	'fawiki' => 'uca-fa', // T52311
	'fawikisource' => 'uca-fa', // T52311
	'fawiktionary' => 'uca-fa', // T52311
	'fawikibooks' => 'uca-fa', // T52311
	'fawikinews' => 'uca-fa', // T52311
	'fawikiquote' => 'uca-fa', // T52311
	'fiwiki' => 'uca-fi', // T48330
	'fiwikibooks' => 'uca-fi', // T48330
	'fiwikimedia' => 'uca-fi', // T48330
	'fiwikinews' => 'uca-fi', // T48330
	'fiwikiquote' => 'uca-fi', // T48330
	'fiwikisource' => 'uca-fi', // T48330
	'fiwikiversity' => 'uca-fi', // T48330
	'frwiki' => 'uca-fr', // T56680
	'frwikibooks' => 'uca-fr', // T74513
	'frwikinews' => 'uca-fr', // T68165
	'frwikiversity' => 'uca-fr', // T71782
	'hsbwiki' => 'uca-hsb', // T90689
	'huwiki' => 'uca-hu', // T47596
	'iswiki' => 'uca-is', // T58859
	'iswiktionary' => 'identity', // T32722
	'lvwiki' => 'uca-lv', // T67003
	'plwiki' => 'uca-pl', // T44413
	'plwikisource' => 'uca-pl', // T86821
	'plwikivoyage' => 'uca-pl', // T47968
	'plwiktionary' => 'uca-default', // T48081
	'ptwiki' => 'uca-pt', // T47911
	'ptwikibooks' => 'uca-pt', // T47911
	'ruwiki' => 'uca-ru', // T54997
	'ruwikibooks' => 'uca-ru', // T54997
	'ruwikinews' => 'uca-ru', // T54997
	'ruwikiquote' => 'uca-ru', // T54997
	'ruwikisource' => 'uca-ru', // T54997
	'ruwikiversity' => 'uca-ru', // T54997
	'ruwikivoyage' => 'uca-ru', // T54997
	'ruwiktionary' => 'uca-ru', // T54997
	'shwiki' => 'uca-hr', // T69287
	'skwiki' => 'uca-sk', // [[w:sk:Special:PermaLink/5785371]]
	'svwiki' => 'uca-sv', // T47446
	'svwikisource' => 'uca-sv@collation=standard', // T48058
	'thwikibooks' => 'uca-default', // T50097
	'thwikinews' => 'uca-default', // T50097
	'thwiki' => 'uca-default', // T50097
	'thwikiquote' => 'uca-default', // T50097
	'thwikisource' => 'uca-default', // T50097
	'thwiktionary' => 'uca-default', // T50097
	'uawikimedia' => 'uca-uk', // T47776
	'ukwiki' => 'uca-uk', // T47444
	'ukwikibooks' => 'uca-uk', // T47776
	'ukwikinews' => 'uca-uk', // T47776
	'ukwikiquote' => 'uca-uk', // T47776
	'ukwikisource' => 'uca-uk', // T47776
	'ukwikivoyage' => 'uca-uk', // T48417
	'ukwiktionary' => 'uca-uk', // T47776
	'viwiki' => 'uca-vi', // T47979
	'viwikibooks' => 'uca-vi', // T47979
	'viwikiquote' => 'uca-vi', // T47979
	'viwikisource' => 'uca-vi', // T47979
	'viwikivoyage' => 'uca-vi', // T55616
	'viwiktionary' => 'uca-vi', // T47979
),
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2015, 11:55 AM

Actually, as labs doesn't override the setting, any wiki that exists on labs will have it automatically set....

So

If you update wgCategoryCollation then you just need to run:
foreachwikiindblist all-labs.dblist updateCollation.php --previous-collation=uppercase

I'm just going to run that, to force any updates for wikis that might be inconsistent

Done that. Though, I'm now running foreachwikiindblist all-labs.dblist updateCollation.php --force just to make sure everything is up to date.

Reedy closed this task as Resolved.Sep 17 2015, 12:58 PM
Reedy claimed this task.

And that's done.

Any new wikis that get changed over in production, that exist in beta need the updateCollation.php script running in beta. Easy enough to track

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptSep 28 2015, 3:48 PM